/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "debug.h"

#include "geoip_lookup.h"

static GeoIPLookup *geoip_lookup;

extern "C" KADU_EXPORT int geoip_lookup_init()
{
	kdebugf();

	geoip_lookup = new GeoIPLookup();

	kdebugf2();
	return 0;
}

extern "C" KADU_EXPORT void geoip_lookup_close()
{
	kdebugf();

	delete geoip_lookup;
	geoip_lookup = NULL;

	kdebugf2();
}
